/*
 * Fichero:     gestorVentanas.java
 * Fecha:       20/10/06
 * Autor:       Alvaro Sarmiento Losada
 * Asignatura:  Proyecto Fin de Carrera
 * Descripción: Clase capaz de invocar a otras clases que hacen de interfaz con
 * 				el usuario. 
 *
 * Este fichero pertenece al proyecto fin de carrera del autor,
 * consistente en el estudio de JXTA y su aplicación al comercio 
 * electrónico b2b.
 */


package com.pfc.ventanas;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class gestorVentanas extends Object{
	
	public gestorVentanas(){
		super();
	}

	public String[] escogerPeticion(){
		Display display = Display.getDefault();
    	Shell shell = new Shell(display);
    	shell.setEnabled(false);
    	NewDialog inst = new NewDialog(shell, SWT.NULL);
    	String []petic=inst.open();
    	
    	return petic;
	}
	
	public String otraOperacion(){
		Display display_otra = Display.getDefault();
		Shell shell_otra = new Shell(display_otra);
		RealizarOtraOperacion inst_otra = new RealizarOtraOperacion(shell_otra, SWT.NULL);
		String decision=inst_otra.open();
		
		return decision;
	}
	
	public String elegirtipoRegistro(){
		Display display_registro = Display.getDefault();
		Shell shell_registro = new Shell(display_registro);
		tipoRegistro inst_registro = new tipoRegistro(shell_registro, SWT.NULL);
		String tipo_registro=inst_registro.open();
		
		return tipo_registro;
	}
	
	public String eleccionCatalogoRegistro(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		eleccionCatalogoregistro inst = new eleccionCatalogoregistro(shell, SWT.NULL);
		String ruta=inst.open();
		
		return ruta;
	}
	public String[] elementosRegistro(){
		String[]tabla=new String[100];				
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		ElementosRegistro inst = new ElementosRegistro(shell, SWT.NULL);
		tabla=inst.open();
		
		return tabla;
	}
	
	public String[] elementosAtributo(){
		Display display2 = Display.getDefault();
		Shell shell2 = new Shell(display2);
		elementosAtributos inst2 = new elementosAtributos(shell2, SWT.NULL);
		String []tabla=inst2.open();
		
		return tabla;
	}
	
	public String otroProducto(){
		Display display_otro = Display.getDefault();
		Shell shell_otro = new Shell(display_otro);
		registrarOtroProducto inst_otro = new registrarOtroProducto(shell_otro, SWT.NULL);
		String resp=inst_otro.open();
		
		return resp;
	}
	
	public String tipoBusqueda(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		tipoBusqueda inst = new tipoBusqueda(shell, SWT.NULL);
		String tipo_busqueda=inst.open();
		
		return tipo_busqueda;
	}
	
	public String[] elementosBusqueda(){
		Display display_busq = Display.getDefault();
		Shell shell_busq = new Shell(display_busq);
		elementosBusqueda inst_busq = new elementosBusqueda(shell_busq, SWT.NULL);
		String []elementos_busqueda= inst_busq.open();
		//String []elementos_busqueda= inst_busq.elementos_busqueda;
		return elementos_busqueda;
	}
	
	public String tipoLista(){
		Display display_lista = Display.getDefault();
		Shell shell_lista = new Shell(display_lista);
		tipoLista inst_lista = new tipoLista(shell_lista, SWT.NULL);
		String tipo_lista=inst_lista.open();
		
		return tipo_lista;
	}
	
	public String elementosParaEliminar(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		eliminarElementos inst = new eliminarElementos(shell, SWT.NULL);
		String numero_elementos=inst.open();
		
		return numero_elementos;
	}
	
	public String eliminarElementos(){
		Display display_ident = Display.getDefault();
		Shell shell_ident = new Shell(display_ident);
		identificadorElemento inst_ident = new identificadorElemento(shell_ident, SWT.NULL);
		String id_producto=inst_ident.open();
		
		return id_producto;
	}
	
	public String seleccionBusqueda(String[] array){
		Display display_sel_pro = Display.getDefault();
		Shell shell_sel_pro = new Shell(display_sel_pro);
		seleccion_busqueda inst_sel_pro = new seleccion_busqueda(shell_sel_pro, SWT.NULL);
		String pro_elegida=inst_sel_pro.open(array);
		
		return pro_elegida;
	}
	
	public String[] mostrarAtributos(String[] array,String[] tabla){
		Display display_sel_pro = Display.getDefault();
		Shell shell_sel_pro = new Shell(display_sel_pro);
		muestraDeAtributos inst_sel_pro = new muestraDeAtributos(shell_sel_pro, SWT.NULL);
		String []pro_elegida=inst_sel_pro.open(array,tabla);
		
		return pro_elegida;
	}
	
	public String decisionCompra(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		decisionCompra inst = new decisionCompra(shell, SWT.NULL);
		String resultado=inst.open();
		
		return resultado;
	}
	
	public String[] datosProveedor(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		datosProveedor inst = new datosProveedor(shell, SWT.NULL);
		String []resultado=inst.open();
		
		return resultado;
	}
	
	public String[] datosCompra(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		datosCompra inst = new datosCompra(shell, SWT.NULL);
		String []resultado=inst.open();
		
		return resultado;
	}
	
	public String[]obtenerPrecio(){
		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		obtenerPrecio inst = new obtenerPrecio(shell, SWT.NULL);
		String []resultado=inst.open();
		
		return resultado;
	}
	
	public String precioMayorMenor(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		precioMayorMenor inst = new precioMayorMenor(shell, SWT.NULL);
		String resultado=inst.open();
		
		
		return resultado;
	}
	
	public String[] nombrePar(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		nombrePar inst = new nombrePar(shell, SWT.NULL);
		String []resultado=inst.open();
		
		
		return resultado;
	}
	
	public void excepcion(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		Excepcion inst = new Excepcion(shell, SWT.NULL);
		inst.open();
	}
	
	public void error(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		Error inst = new Error(shell, SWT.NULL);
		inst.open();
	}
	
	public void bien(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		Bien inst = new Bien(shell, SWT.NULL);
		inst.open();
	}
	
	public void noConecta(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		NoConecta inst = new NoConecta(shell, SWT.NULL);
		inst.open();
	}
	
	public boolean mostrarProductos(String []datos){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		MostrarProductos inst = new MostrarProductos(shell, SWT.NULL);
		boolean resultado=inst.open(datos);
		
		return resultado;
	}
	
	public boolean mostrarMisRegistros(String []datos,String[] atributos,String []valores){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		MostrarMisRegistros inst = new MostrarMisRegistros(shell, SWT.NULL);
		boolean resultado=inst.open(datos,atributos,valores);
		
		return resultado;
	}
	
	public void noMasElementos(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		NoMasElementos inst = new NoMasElementos(shell, SWT.NULL);
		inst.open();
		
	}
	
	public void errorBusqueda(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		ErrorBusqueda inst = new ErrorBusqueda(shell, SWT.NULL);
		inst.open();
		
	}
	
	public void errorEliminacion(){

		Display display = Display.getDefault();
		Shell shell = new Shell(display);
		ErrorEliminacion inst = new ErrorEliminacion(shell, SWT.NULL);
		inst.open();
		
	}
}
